﻿@model UserApp

<h1 class="text-info">Asignar roles a usuario</h1>

<div class="row">
    <div class="col-md-8">
        <form asp-controller="Usuarios" asp-action="Editar" method="POST">
            <input type="hidden" asp-for="@Model.Id" />
            <hr />
            <div class="text-danger" asp-validation-summary="All"></div>

            <div class="form-group">
                <label asp-for="Email"></label>
                <input asp-for="Email" readonly class="form-control" />
            </div>

            <div class="form-group">
                <label asp-for="IdRol"></label>
                <select asp-for="IdRol" asp-items="@Model.ListaRoles" class="form-control">
                    <option disabled selected>--Seleccionar Rol</option>
                </select>
            </div>

            <div class="form-group mt-4">
                <button type="submit" class="btn btn-primary">Editar usuario</button>
                <a asp-action="Index" class="text-dark" style="width:auto">Volver atrás</a>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}